//------------------------------------------------------------------------------
//
//  npgeometry.h
//
// ANTZ - 3D data viewer with realtime real-world interaction based on NPE.
//
// ANTZ is hosted at http://temporalzone.com and NPE at http://neuralphysics.org
//
// Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
//
// Additional code contributed by: Mark Buchanan and Lucas Erickson.
//
// To the extent possible under law, the author(s) have dedicated all copyright 
// and related and neighboring rights to this software to the public domain
// worldwide. This software is distributed without any warranty.
//
// Released under the CC0 license, which is GPL compatible.
//
// You should have received a copy of the CC0 Public Domain Dedication along
// with this software (license file named COPYING.txt). If not, see
// http://creativecommons.org/publicdomain/zero/1.0/
//
//------------------------------------------------------------------------------

#ifndef NPGL_H_
#define NPGL_H_


#include "../npdata.h"

#include "npglut.h"

#include "gl/npgldraw.h"

#include "gl/npgeometry.h"


//MB//
//--- Data -----
int selectedID;
//MB-end//

//--- Functions ----------------------------------------------------------------

void npInitGL (void* dataRef);
void npCloseGL (void* dataRef);

void npGLDrawScene (void* dataRef);

void npGLResizeScene (int width, int height);

void npPick (int x, int y);

#endif

